com.google.appengine.api.search.checkers

## Class GetIndexesRequestChecker

- java.lang.Object
- - com.google.appengine.api.search.checkers.GetIndexesRequestChecker

-     public class GetIndexesRequestChecker
      extends java.lang.Object

  Checks values of `GetIndexesRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetIndexesRequestChecker()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `checkIndexNamePrefix(java.lang.String indexNamePrefix)` Checks whether the given index name prefix is legal.
    `static int` | `checkLimit(int limit)` Checks whether the number of indexes to return is between 1 and the maximum.
    `static ListIndexesParams` | `checkListIndexesParams(ListIndexesParams params)` Ensures the given protocol buffer parameters are valid.
    `static int` | `checkOffset(int offset)` Checks whether the offset of the first indexes to return is between 0 and the maximum.
    `static java.lang.String` | `checkStartIndexName(java.lang.String startIndexName)` Checks whether the given start index name is legal.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetIndexesRequestChecker

          public GetIndexesRequestChecker()

  - ### Method Detail

    - #### checkLimit

          public static int checkLimit(int limit)

      Checks whether the number of indexes to return is between 1 and the maximum.
      Parameters:
        `limit` - the maximum number of indexes to return in list results
      Returns:
        the checked number of indexes to return
      Throws:
        `java.lang.IllegalArgumentException` - if the number of indexes to return is out of range

    - #### checkOffset

          public static int checkOffset(int offset)

      Checks whether the offset of the first indexes to return is between 0 and the maximum.
      Parameters:
        `offset` - the offset of the first index to return in list results
      Returns:
        the checked offset of the first index to return
      Throws:
        `java.lang.IllegalArgumentException` - if the offset of the first index to return is out of range

    - #### checkIndexNamePrefix

          public static java.lang.String checkIndexNamePrefix(java.lang.String indexNamePrefix)

      Checks whether the given index name prefix is legal. This method uses the same checks as `IndexChecker.checkName(String)`.
      Parameters:
        `indexNamePrefix` - the index name prefix to be checked
      Returns:
        the checked index name prefix
      Throws:
        `java.lang.IllegalArgumentException` - if the index name prefix is illegal.

    - #### checkStartIndexName

          public static java.lang.String checkStartIndexName(java.lang.String startIndexName)

      Checks whether the given start index name is legal. This method uses the same checks as `IndexChecker.checkName(String)`.
      Parameters:
        `startIndexName` - the name of the first index to be returned
      Returns:
        the checked start index name
      Throws:
        `java.lang.IllegalArgumentException` - if the start index name is illegal.

    - #### checkListIndexesParams

          public static ListIndexesParams checkListIndexesParams(ListIndexesParams params)

      Ensures the given protocol buffer parameters are valid. If any of the parameters fail to pass the checks, this method throws `IllegalArgumentException`. If everything is valid the original parameters are returned.
      Parameters:
        `params` - the parameters to be checked for validity
      Returns:
        the checked parameters for listing indexes
      Throws:
        `java.lang.IllegalArgumentException` - if any of the values are incorrect